<?php 

$hostname_conn = "localhost";
$database_conn = "pregrado_pregrado";

## Datos de acceso creados para prueba:
$username_conn = "pregrado_prueba";
$password_conn = "l(nh{2wV7.2A";

## Datos de acceso suministrados por el cliente (generan error de conexión):
//$username_conn = "pregrado_dbm";
//$password_conn = "2PN2QDmP6ZsHrcuee";

$conn = mysqli_connect($hostname_conn, $username_conn, $password_conn, $database_conn) or die ("Problemas de conexión" .mysqli_error($conn));

if ($conn == true) {
    echo 'Conexión exitosa';
}

 $sql = "INSERT INTO prueba (nombre) VALUES ('prueba 4')";

if ($conn->query($sql) === TRUE) {
    echo "<br>Nuevo registro ingresado con éxito";
} else {
    echo "Error: " . $sql . "<br>" . $conn->error;
}